Product comparison · 2 network switches

Allied Telesis AT-FS750/16-50 Managed vs Zyxel XGS-4526 Managed L2+ Black

Add a product
  • 12specifications compared
  • 7differ
  • 5identical
  • 31known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/16-50 Managed:16
    • XGS-4526 Managed L2+ Black:25
  • Maximum data transfer rate
    • AT-FS750/16-50 Managed:7.2 Gbit/s
    • XGS-4526 Managed L2+ Black:1 Gbit/s
  • DHCP features
    • AT-FS750/16-50 Managed:DHCP client
    • XGS-4526 Managed L2+ Black:DHCP server, DHCP client
  • Dimensions (WxDxH)
    • AT-FS750/16-50 Managed:352 x 256 x 43.2 mm
    • XGS-4526 Managed L2+ Black:438 x 310 x 44.5 mm
  • Storage temperature (T-T)
    • AT-FS750/16-50 Managed:-20 - 70 °C
    • XGS-4526 Managed L2+ Black:-25 - 70 °C
  • Operating relative humidity (H-H)
    • AT-FS750/16-50 Managed:5 - 90%
    • XGS-4526 Managed L2+ Black:10 - 90%
  • Weight
    • AT-FS750/16-50 Managed:2.38 kg
    • XGS-4526 Managed L2+ Black:4.8 kg

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-FS750/16-50, XGS-4526
43 specifications
A

Allied Telesis

AT-FS750/16-50 Managed

Model AT-FS750/16-50

View product
Management featuresidentical
Switch typeManagedManaged
Switch layerKnown for oneUnknown — not stated by the sourceL2+
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Web-based managementKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC 1066 TCP/IP, RFC 1213, 1157 SNMP v2c/v3 MIB, RFC 2011, 2012, 2013 SNMP v2 MIB, RFC 1493, RFC 2674, RFC 1643, RFC 2358, RFC 1757 RMON, RFC 2819, 2925
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers1625
Gigabit Ethernet (copper) ports quantityKnown for oneUnknown — not stated by the source24
Networkidentical
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3u, IEEE 802.3x
10G supportKnown for oneUnknown — not stated by the sourceYes
Routing entriesKnown for oneUnknown — not stated by the source512
Auto MDI/MDI-XKnown for oneUnknown — not stated by the sourceYes
IP address tableKnown for oneUnknown — not stated by the source2000
Link aggregationKnown for oneUnknown — not stated by the sourceYes
IP routingKnown for oneYesUnknown — not stated by the source
Number of VLANsKnown for one4000Unknown — not stated by the source
Data transmission1 differ
MAC address table8000 entries8000 entries
Supported data transfer rates10/100/1000 Mbps10/100/1000 Mbps
Switching capacityKnown for oneUnknown — not stated by the source96 Gbit/s
Maximum data transfer rateDiffers7.2 Gbit/s1 Gbit/s
Security1 differ
DHCP featuresDiffersDHCP clientDHCP server, DHCP client
Access Control List (ACL)Known for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Static port securityKnown for oneUnknown — not stated by the sourceYes
Designidentical
StackableKnown for oneUnknown — not stated by the sourceYes
Product colourKnown for oneUnknown — not stated by the sourceBlack
Poweridentical
Power consumption (typical)Known for oneUnknown — not stated by the source62.8 W
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)NoNo
Other features1 differ
Data transfer rateKnown for oneUnknown — not stated by the source71.5 Mbit/s
Dimensions (WxDxH)Differs352 x 256 x 43.2 mm438 x 310 x 44.5 mm
Connectivity technologyKnown for oneUnknown — not stated by the sourceWired
Power requirementsKnown for oneUnknown — not stated by the source100-240V AC, 50/60 Hz
Expansion slotsKnown for oneUnknown — not stated by the source1 x 10G
Authentication methodKnown for one802.1XUnknown — not stated by the source
Wi-FiKnown for oneYesUnknown — not stated by the source
Operational conditions2 differ
Operating temperature (T-T)0 - 45 °C0 - 45 °C
Storage temperature (T-T)Differs-20 - 70 °C-25 - 70 °C
Operating relative humidity (H-H)Differs5 - 90%10 - 90%
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Weight & dimensions1 differ
WeightDiffers2.38 kg4.8 kg
Performanceidentical
Internal memoryKnown for one16 MBUnknown — not stated by the source
Flash memoryKnown for one4 MBUnknown — not stated by the source
Certificatesidentical
CertificationKnown for oneUL 1950, FCC/EN55022 Class A, VCCI Class A, C-Tick, EN60950 (TUV), EN55024, CE, CSA / CULUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons